Summary: Library for accessing disk images
Name: libdsk
Version: 1.1.9
Release: 2%{?dist}
License: GPL
Group: System Environment/Libraries
Source: http://www.seasip.demon.co.uk/Unix/LibDsk/libdsk-%{version}.tar.gz
URL: http://www.seasip.demon.co.uk/Unix/LibDsk/
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: zlib-devel, bzip2-devel

%description
A library for accessing disk images, particularly for use with emulators.

%package devel
Summary: Development files for libdsk
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for libdsk.

%package tools
Summary: Tools for use with libdsk
Group: Applications/System
Requires: libdsk = %{version}

%description tools
Tools for use with libdsk.

%prep
%setup -q

# Fix dodgy permissions on files that end up in debuginfo package
/usr/bin/find . -name '*.[ch]' | /usr/bin/xargs %{__chmod} 644

# Fix wrong line endings on files that end up in debuginfo package
%{__perl} -pi -e 's/\r*$//' lib/drivers.h

%build
%configure --disable-rpath --disable-static

# Is this actually needed?
#{__perl} -pi -e "s,hardcode_libdir_flag_spec=.*,hardcode_libdir_flag_spec=\" -D__LIBTOOL_IS_A_FOOL__ \",g" libtool

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libdsk.so.*
%doc README doc/COPYING ChangeLog TODO doc/*.html doc/libdsk.{pdf,txt}

%files tools
%{_bindir}/dskform
%{_bindir}/dskid
%{_bindir}/dsktrans
%{_bindir}/md3serial
%{_bindir}/dskdump
%{_bindir}/dskscan
%{_bindir}/dskutil
%{_mandir}/man1/dskutil.1*
%{_mandir}/man1/dskdump.1*
%{_mandir}/man1/dskscan.1*
%{_mandir}/man1/dskform.1*
%{_mandir}/man1/dskid.1*
%{_mandir}/man1/dsktrans.1*
%{_mandir}/man5/libdskrc.5*
%{_mandir}/man1/md3serial.1*

%files devel
%defattr(-,root,root)
%{_libdir}/libdsk.so
%{_includedir}/libdsk.h
%exclude %{_libdir}/libdsk.la

%changelog
* Sat Sep 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.1.9-2
- rebuild

* Sun Apr 02 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.1.9-1
- Bump to new version

* Fri Nov 11 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.1.6.1
- Removed packager
- Altered BR to remove requirement for sed
- Fixed BuildRoot to honour FC rules
- Altered licence to GPL
- Altered numbering scheme for version
- Renamed spec file
- Added in new binaries and man files for dskdump and dskscan
- Bumped to upstream version 1.1.6
- A couple of fiddly fixes suggested by Paul Howard

* Mon Oct 17 2005 Paul F. Johnson <paul@all-the-johnsons.co.uk> - 1.1.4-1.2
- Alterations to Requires: and name

* Mon Jul 11 2005 Paul Johnson <paul@all-the-johnsons.co.uk> - 1.1.4-1.1.FC4
- Changed version for FC4

* Mon May 22 2005 Ian Chapman <packages@amiga-hardware.com> - 1.1.4-1.iss
- Updated to version 1.1.4

* Mon Feb 28 2005 Ian Chapman <packages@amiga-hardware.com> - 1.1.3-1.iss
- Changelog duplicated in spec file, fixed.
- Updated to version 1.1.3
- Removed some install commands, no longer needed with this version

* Mon Jul 16 2004 Ian Chapman <packages@amiga-hardware.com> - 1.1.1-1.iss
- Updated to version to 1.1.1
- Updated for use with Fedora Core 2
- Split the tools from the main libdsk RPM

* Fri Dec 05 2003 Ian Chapman <packages@amiga-hardware.com> - 1.1.0-2
- Minor fixes to changelog
- Changed copyright to distributable
- Moved a file from the main package to the devel package

* Sat Dec 01 2003 Ian Chapman <packages@amiga-hardware.com> - 1.1.0-1
- Initial Release
